nbagl — Core API
82 endpoints on sdv.nbagl. Each is exposed under a camelCase canonical name and a snake_case alias (py/R parity), accepts snake_case or camelCase params, and returns raw ESPN JSON by default ({ parsed: true } for tidy rows).
espnNbaglPlayerAwards
NBAGL — player awards (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/athletes/{athlete_id}/awards
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglPlayerAwards({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_player_awards(...)
espnNbaglPlayerCareerStats
NBAGL — player career stats (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/athletes/{athlete_id}/statistics[/{stat_type}]
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
{stat_type} | stat_type | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglPlayerCareerStats({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_player_career_stats(...)
espnNbaglPlayerContracts
NBAGL — player contracts (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/athletes/{athlete_id}/contracts
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglPlayerContracts({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_player_contracts(...)
espnNbaglPlayerCore
NBAGL — player core (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/athletes/{athlete_id}
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglPlayerCore({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_player_core(...)
espnNbaglPlayerEventlog
NBAGL — player eventlog (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/athletes/{athlete_id}/eventlog
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglPlayerEventlog({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_player_eventlog(...)
espnNbaglPlayerInjuries
NBAGL — player injuries (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/athletes/{athlete_id}/injuries
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_injuries):
| col_name | type | description |
|---|---|---|
id | character | |
display_name | character | |
injuries | character |
Example:
await sdv.nbagl.espnNbaglPlayerInjuries({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_player_injuries(...)
espnNbaglPlayerNotes
NBAGL — player notes (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/athletes/{athlete_id}/notes
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglPlayerNotes({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_player_notes(...)
espnNbaglPlayerRecords
NBAGL — player records (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/athletes/{athlete_id}/records
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglPlayerRecords({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_player_records(...)
espnNbaglPlayerSeasons
NBAGL — player seasons (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/athletes/{athlete_id}/seasons
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglPlayerSeasons({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_player_seasons(...)
espnNbaglPlayerStatisticslog
NBAGL — player statisticslog (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/athletes/{athlete_id}/statisticslog
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglPlayerStatisticslog({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_player_statisticslog(...)
espnNbaglPlayerVsPlayer
NBAGL — player vs player (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/athletes/{athlete_id}/vsathlete/{opp_id}
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
{opp_id} | opp_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglPlayerVsPlayer({ athlete_id: '…', opp_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_player_vs_player(...)
espnNbaglPlayersIndex
NBAGL — players index (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/athletes
| API param | JS | required | description |
|---|---|---|---|
active | active | no | query parameter (default true) |
limit | limit | no | query parameter (default 100) |
page | page | no | query parameter (default 1) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglPlayersIndex({});
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_players_index(...)
espnNbaglAward
NBAGL — award (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/awards/{award_id}
| API param | JS | required | description |
|---|---|---|---|
{award_id} | award_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglAward({ award_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_award(...)
espnNbaglAwards
NBAGL — awards (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/awards
| API param | JS | required | description |
|---|---|---|---|
limit | limit | no | query parameter (default 200) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglAwards({});
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_awards(...)
espnNbaglCoach
NBAGL — coach (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/coaches/{coach_id}
| API param | JS | required | description |
|---|---|---|---|
{coach_id} | coach_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglCoach({ coach_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_coach(...)
espnNbaglCoachRecord
NBAGL — coach record (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/coaches/{coach_id}/record/{record_type}
| API param | JS | required | description |
|---|---|---|---|
{coach_id} | coach_id | yes | path parameter |
{record_type} | record_type | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglCoachRecord({ coach_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_coach_record(...)
espnNbaglCoachSeason
NBAGL — coach season (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/coaches/{coach_id}/seasons/{season}
| API param | JS | required | description |
|---|---|---|---|
{coach_id} | coach_id | yes | path parameter |
{season} | season | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglCoachSeason({ coach_id: '…', season: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_coach_season(...)
espnNbaglGame
NBAGL — game (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/events/{event_id}
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglGame({ event_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_game(...)
espnNbaglGameBroadcasts
NBAGL — game broadcasts (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/events/{event_id}/competitions/{cid}/broadcasts
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglGameBroadcasts({ event_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_game_broadcasts(...)
espnNbaglGameCompetition
NBAGL — game competition (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/events/{event_id}/competitions/{cid}
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglGameCompetition({ event_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_game_competition(...)
espnNbaglGameTeam
NBAGL — game team (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/events/{event_id}/competitions/{cid}/competitors/{team_id}
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{team_id} | team_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglGameTeam({ event_id: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_game_team(...)
espnNbaglGameTeamLeaders
NBAGL — game team leaders (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/events/{event_id}/competitions/{cid}/competitors/{team_id}/leaders
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{team_id} | team_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglGameTeamLeaders({ event_id: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_game_team_leaders(...)
espnNbaglGameTeamLinescores
NBAGL — game team linescores (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/events/{event_id}/competitions/{cid}/competitors/{team_id}/linescores
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{team_id} | team_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_event_competitor_linescores); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglGameTeamLinescores({ event_id: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_game_team_linescores(...)
espnNbaglGameTeamRecord
NBAGL — game team record (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/events/{event_id}/competitions/{cid}/competitors/{team_id}/record
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{team_id} | team_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglGameTeamRecord({ event_id: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_game_team_record(...)
espnNbaglGameTeamRoster
NBAGL — game team roster (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/events/{event_id}/competitions/{cid}/competitors/{team_id}/roster
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{team_id} | team_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_event_competitor_roster); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglGameTeamRoster({ event_id: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_game_team_roster(...)
espnNbaglGameTeamStatistics
NBAGL — game team statistics (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/events/{event_id}/competitions/{cid}/competitors/{team_id}/statistics
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{team_id} | team_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_event_competitor_statistics):
| col_name | type | description |
|---|---|---|
split_name | character | Split / season-segment name |
category_name | character | Statistic category name |
stat_name | character | Statistic name |
stat_abbreviation | character | Statistic abbreviation |
stat_value | number | Numeric statistic value |
stat_display_value | character | Formatted statistic value |
stat_description | character | Statistic description |
Example:
await sdv.nbagl.espnNbaglGameTeamStatistics({ event_id: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_game_team_statistics(...)
espnNbaglGameTeams
NBAGL — game teams (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/events/{event_id}/competitions/{cid}/competitors
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglGameTeams({ event_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_game_teams(...)
espnNbaglGameLeaders
NBAGL — game leaders (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/events/{event_id}/competitions/{cid}/leaders
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglGameLeaders({ event_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_game_leaders(...)
espnNbaglGameOdds
NBAGL — game odds (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/events/{event_id}/competitions/{cid}/odds
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglGameOdds({ event_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_game_odds(...)
espnNbaglGameOfficialDetail
NBAGL — game official detail (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/events/{event_id}/competitions/{cid}/officials/{official_id}
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{official_id} | official_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglGameOfficialDetail({ event_id: '…', official_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_game_official_detail(...)
espnNbaglGameOfficials
NBAGL — game officials (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/events/{event_id}/competitions/{cid}/officials
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglGameOfficials({ event_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_game_officials(...)
espnNbaglGamePlay
NBAGL — game play (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/events/{event_id}/competitions/{cid}/plays/{play_id}
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{play_id} | play_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglGamePlay({ event_id: '…', play_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_game_play(...)
espnNbaglGamePlayPersonnel
NBAGL — game play personnel (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/events/{event_id}/competitions/{cid}/plays/{play_id}/personnel
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{play_id} | play_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglGamePlayPersonnel({ event_id: '…', play_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_game_play_personnel(...)
espnNbaglGamePlays
NBAGL — game plays (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/events/{event_id}/competitions/{cid}/plays
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
limit | limit | no | query parameter (default 1000) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_event_plays); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglGamePlays({ event_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_game_plays(...)
espnNbaglGamePowerindex
NBAGL — game powerindex (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/events/{event_id}/competitions/{cid}/powerindex
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglGamePowerindex({ event_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_game_powerindex(...)
espnNbaglGamePredictor
NBAGL — game predictor (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/events/{event_id}/competitions/{cid}/predictor
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglGamePredictor({ event_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_game_predictor(...)
espnNbaglGameProbabilities
NBAGL — game probabilities (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/events/{event_id}/competitions/{cid}/probabilities
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
limit | limit | no | query parameter (default 300) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglGameProbabilities({ event_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_game_probabilities(...)
espnNbaglGamePropbets
NBAGL — game propbets (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/events/{event_id}/competitions/{cid}/propbets
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglGamePropbets({ event_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_game_propbets(...)
espnNbaglGameScoringplays
NBAGL — game scoringplays (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/events/{event_id}/competitions/{cid}/scoringplays
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglGameScoringplays({ event_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_game_scoringplays(...)
espnNbaglGameSituation
NBAGL — game situation (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/events/{event_id}/competitions/{cid}/situation
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglGameSituation({ event_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_game_situation(...)
espnNbaglGameStatus
NBAGL — game status (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/events/{event_id}/competitions/{cid}/status
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglGameStatus({ event_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_game_status(...)
espnNbaglGames
NBAGL — games (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/events
| API param | JS | required | description |
|---|---|---|---|
dates | dates | no | query parameter |
limit | limit | no | query parameter (default 500) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglGames({});
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_games(...)
espnNbaglFranchise
NBAGL — franchise (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/franchises/{franchise_id}
| API param | JS | required | description |
|---|---|---|---|
{franchise_id} | franchise_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglFranchise({ franchise_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_franchise(...)
espnNbaglFranchises
NBAGL — franchises (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/franchises
| API param | JS | required | description |
|---|---|---|---|
limit | limit | no | query parameter (default 200) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglFranchises({});
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_franchises(...)
espnNbaglLeadersCore
NBAGL — leaders core (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/leaders
| API param | JS | required | description |
|---|---|---|---|
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglLeadersCore({});
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_leaders_core(...)
espnNbaglLeagueNotes
NBAGL — league notes (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/notes
| API param | JS | required | description |
|---|---|---|---|
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglLeagueNotes({});
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_league_notes(...)
espnNbaglLeagueRoot
NBAGL — league root (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development
| API param | JS | required | description |
|---|---|---|---|
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglLeagueRoot({});
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_league_root(...)
espnNbaglPosition
NBAGL — position (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/positions/{position_id}
| API param | JS | required | description |
|---|---|---|---|
{position_id} | position_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglPosition({ position_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_position(...)
espnNbaglPositions
NBAGL — positions (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/positions
| API param | JS | required | description |
|---|---|---|---|
limit | limit | no | query parameter (default 200) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglPositions({});
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_positions(...)
espnNbaglSeasonPlayers
NBAGL — season players (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/seasons/{season}/athletes
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
limit | limit | no | query parameter (default 100) |
page | page | no | query parameter (default 1) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglSeasonPlayers({ season: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_season_players(...)
espnNbaglSeasonAwards
NBAGL — season awards (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/seasons/{season}/awards
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
limit | limit | no | query parameter (default 200) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglSeasonAwards({ season: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_season_awards(...)
espnNbaglSeasonCoaches
NBAGL — season coaches (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/seasons/{season}/coaches
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
limit | limit | no | query parameter (default 500) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_coaches); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglSeasonCoaches({ season: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_season_coaches(...)
espnNbaglSeasonDraft
NBAGL — season draft (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/seasons/{season}/draft
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_draft); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglSeasonDraft({ season: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_season_draft(...)
espnNbaglSeasonDraftRoundPicks
NBAGL — season draft round picks (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/seasons/{season}/draft/rounds/{round_num}/picks
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{round_num} | round_num | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglSeasonDraftRoundPicks({ season: '…', round_num: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_season_draft_round_picks(...)
espnNbaglSeasonFreeagents
NBAGL — season freeagents (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/seasons/{season}/freeagents
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglSeasonFreeagents({ season: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_season_freeagents(...)
espnNbaglSeasonFutures
NBAGL — season futures (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/seasons/{season}/futures
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglSeasonFutures({ season: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_season_futures(...)
espnNbaglSeasonGroup
NBAGL — season group (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/seasons/{season}/types/{season_type}/groups/{group_id}
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
{group_id} | group_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglSeasonGroup({ season: '…', season_type: '…', group_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_season_group(...)
espnNbaglSeasonGroupChildren
NBAGL — season group children (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/seasons/{season}/types/{season_type}/groups/{group_id}/children
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
{group_id} | group_id | yes | path parameter |
limit | limit | no | query parameter (default 500) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglSeasonGroupChildren({ season: '…', season_type: '…', group_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_season_group_children(...)
espnNbaglSeasonGroupTeams
NBAGL — season group teams (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/seasons/{season}/types/{season_type}/groups/{group_id}/teams
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
{group_id} | group_id | yes | path parameter |
limit | limit | no | query parameter (default 500) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglSeasonGroupTeams({ season: '…', season_type: '…', group_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_season_group_teams(...)
espnNbaglSeasonGroups
NBAGL — season groups (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/seasons/{season}/types/{season_type}/groups
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglSeasonGroups({ season: '…', season_type: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_season_groups(...)
espnNbaglSeasonInfo
NBAGL — season info (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/seasons/{season}
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglSeasonInfo({ season: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_season_info(...)
espnNbaglSeasonPointer
NBAGL — season pointer (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/season
| API param | JS | required | description |
|---|---|---|---|
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglSeasonPointer({});
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_season_pointer(...)
espnNbaglSeasonPowerindex
NBAGL — season powerindex (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/seasons/{season}/powerindex[/{team_id}]
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{team_id} | team_id | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglSeasonPowerindex({ season: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_season_powerindex(...)
espnNbaglSeasonPowerindexLeaders
NBAGL — season powerindex leaders (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/seasons/{season}/powerindex/leaders
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglSeasonPowerindexLeaders({ season: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_season_powerindex_leaders(...)
espnNbaglSeasonTeam
NBAGL — season team (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/seasons/{season}/teams/{team_id}
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{team_id} | team_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglSeasonTeam({ season: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_season_team(...)
espnNbaglSeasonTeams
NBAGL — season teams (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/seasons/{season}/teams
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
limit | limit | no | query parameter (default 1000) |
page | page | no | query parameter (default 1) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglSeasonTeams({ season: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_season_teams(...)
espnNbaglSeasonType
NBAGL — season type (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/seasons/{season}/types/{season_type}
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglSeasonType({ season: '…', season_type: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_season_type(...)
espnNbaglSeasonTypeCorrections
NBAGL — season type corrections (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/seasons/{season}/types/{season_type}/corrections
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglSeasonTypeCorrections({ season: '…', season_type: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_season_type_corrections(...)
espnNbaglSeasonTypeLeaders
NBAGL — season type leaders (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/seasons/{season}/types/{season_type}/leaders
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglSeasonTypeLeaders({ season: '…', season_type: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_season_type_leaders(...)
espnNbaglSeasonTypes
NBAGL — season types (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/seasons/{season}/types
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglSeasonTypes({ season: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_season_types(...)
espnNbaglSeasonWeek
NBAGL — season week (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/seasons/{season}/types/{season_type}/weeks/{week}
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
{week} | week | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglSeasonWeek({ season: '…', season_type: '…', week: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_season_week(...)
espnNbaglSeasonWeekGames
NBAGL — season week games (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/seasons/{season}/types/{season_type}/weeks/{week}/events
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
{week} | week | yes | path parameter |
limit | limit | no | query parameter (default 500) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglSeasonWeekGames({ season: '…', season_type: '…', week: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_season_week_games(...)
espnNbaglSeasonWeekPowerindex
NBAGL — season week powerindex (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/seasons/{season}/types/{season_type}/weeks/{week}/powerindex
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
{week} | week | yes | path parameter |
limit | limit | no | query parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglSeasonWeekPowerindex({ season: '…', season_type: '…', week: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_season_week_powerindex(...)
espnNbaglSeasonWeeks
NBAGL — season weeks (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/seasons/{season}/types/{season_type}/weeks
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglSeasonWeeks({ season: '…', season_type: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_season_weeks(...)
espnNbaglSeasons
NBAGL — seasons (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/seasons
| API param | JS | required | description |
|---|---|---|---|
limit | limit | no | query parameter (default 200) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglSeasons({});
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_seasons(...)
espnNbaglStandingsCore
NBAGL — standings core (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/standings
| API param | JS | required | description |
|---|---|---|---|
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_standings):
| col_name | type | description |
|---|---|---|
group_name | character | |
group_abbreviation | character | |
team_id | character | ESPN team id |
team_name | character | |
team_abbreviation | character | Team abbreviation |
team_display_name | character | Team display name |
team_location | character | |
team_logo | character | |
avg_points_against | number | |
avg_points_for | number | |
clincher | integer | |
differential | integer | |
division_win_percent | number | |
games_behind | integer | |
league_win_percent | number | |
losses | integer | |
playoff_seed | integer | |
point_differential | integer | |
points | integer | |
points_against | integer | |
points_for | integer | |
streak | integer | |
win_percent | number | |
wins | integer | |
games_ahead | integer | |
overall | character | |
home | character | |
road | character | |
vs_div | character | |
vs_conf | character | |
last_ten_games | character |
Example:
await sdv.nbagl.espnNbaglStandingsCore({});
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_standings_core(...)
espnNbaglTalentpicks
NBAGL — talentpicks (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/talentpicks
| API param | JS | required | description |
|---|---|---|---|
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglTalentpicks({});
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_talentpicks(...)
espnNbaglTeamCore
NBAGL — team core (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/teams/{team_id}
| API param | JS | required | description |
|---|---|---|---|
{team_id} | team_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglTeamCore({ team_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_team_core(...)
espnNbaglTeamsCore
NBAGL — teams core (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/teams
| API param | JS | required | description |
|---|---|---|---|
limit | limit | no | query parameter (default 1000) |
page | page | no | query parameter (default 1) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_teams); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglTeamsCore({});
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_teams_core(...)
espnNbaglTournaments
NBAGL — tournaments (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/tournaments
| API param | JS | required | description |
|---|---|---|---|
limit | limit | no | query parameter (default 200) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglTournaments({});
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_tournaments(...)
espnNbaglVenue
NBAGL — venue (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/venues/{venue_id}
| API param | JS | required | description |
|---|---|---|---|
{venue_id} | venue_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.nbagl.espnNbaglVenue({ venue_id: '…' });
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_venue(...)
espnNbaglVenues
NBAGL — venues (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/basketball/leagues/nba-development/venues
| API param | JS | required | description |
|---|---|---|---|
limit | limit | no | query parameter (default 1000) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.nbagl.espnNbaglVenues({});
// snake_case alias (py/R parity): sdv.nbagl.espn_nbagl_venues(...)